Holger's Java API

## com.antelmann.util.table
Class MovableListModel

    java.lang.Object
      javax.swing.AbstractListModel
          javax.swing.DefaultListModel
              com.antelmann.util.table.MovableListModel

All Implemented Interfaces:
  Serializable, ListModel

    public class MovableListModel

extends DefaultListModel

a helper class providing support for movable lists

Author:
  Holger Antelmann
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`MovableListModel()`
`MovableListModel(ListModel model)` copies all elements from the given model into this model

Method Summary
`boolean` `moveDown(int index)`
`boolean` `moveUp(int index)`

Methods inherited from class javax.swing.DefaultListModel
`add, addElement, capacity, clear, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getElementAt, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MovableListModel

    public MovableListModel()

### MovableListModel

    public MovableListModel(ListModel model)

  copies all elements from the given model into this model

Method Detail

### moveDown

    public boolean moveDown(int index)

### moveUp

    public boolean moveUp(int index)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads